Subject: Re: bug#38163: GDK does not return the monitor's refresh rate

From: Ludovic Courtès <[email-masked]>
Date: Thu, 14 Nov 2019 22:00:30 +0100

Hi Bengt,

Bengt Richter <[email-masked]> skribis:

> On +2019-11-11 21:31:23 +0000, Alexandros Theodotou wrote:

[...]

>> > Could you try adding that dependency on ‘libxrandr’ in ‘gtk+’?
>> 
>> Just tried that and it worked! It's returning the correct refresh rate
>> now:
>> ** Message: 21:20:40.548: refresh rate returned by GDK: 60.0

[...]

> I'm wondering about a narrowly-X solution.
>
> Shouldn't this really come from udevd noticing display changes?
> What about a multi-display seat, with potentially different refresh rates?
>
> IIUC it seems like libdrm and KMS can get at all that, so a light-weight solution
> should be possible, ISTM, and accessible from console command line without X.

You’re right, but note that GDK has several backends (not just X11), and
this issue was about fixing the problem with the X11 backend.

Thanks,
Ludo’.